searchNodes=[{"doc":"Library to help generating test data using StreamData. It adds several generators for commonly used values and some convenience wrappers for StreamData, allowing you to generate test data for your tests. The test data is reproducible, i.e. it will use the same seed ExUnit uses, so you'll get the same data if you supply the same seed. The generators can be used as a stepping stone for property based tests at a later stage. Installation The package can be installed by adding glide to your list of dependencies in mix.exs : def deps do [ { :glide , &quot;~&gt; 0.9.0&quot; } ] end Usage In your tests you can either import or alias Glide depending on your preference With import syntax it will look like import Glide gen ( :uuid ) # creates generator val ( :uuid ) # builds val from generator gen ( :uuid ) |&gt; val ( ) # builds val from generator If you want to use an alias: alias Glide , as : G G . gen ( :uuid ) # creates generator G . val ( :uuid ) # builds val from generator G . gen ( :uuid ) |&gt; G . val ( ) # builds val from generator Instead of the wrapper functions, you can also use StreamData directly for more control. StreamData . integer ( ) |&gt; G . val Examples Create fixed map, with optional subtitle gen ( :fixed_map , %{ post_id : gen ( :uuid ) , subtitle : optional ( gen ( :string , [ :ascii ] ) ) } )","ref":"Glide.html","title":"Glide","type":"module"},{"doc":"Generates a version 4 (random) UUID in the binary format generator iex&gt; Glide . binuuid ( ) |&gt; Glide . val &lt;&lt; 130 , 204 , 75 , 232 , 2 , 161 , 72 , 182 , 138 , 181 , 5 , 244 , 199 , 120 , 124 , 155 &gt;&gt;","ref":"Glide.html#binuuid/0","title":"Glide.binuuid/0","type":"function"},{"doc":"","ref":"Glide.html#concat/1","title":"Glide.concat/1","type":"function"},{"doc":"Concats two StreamData structs, underlying datastructure should implement Glide.Concat protocol. Will cast any non StreamData value to a StreamData.constant By default implemented for List and String","ref":"Glide.html#concat/2","title":"Glide.concat/2","type":"function"},{"doc":"Generates a Date by default somewhere between 1970..2050 iex&gt; Glide . date ( 1980 .. 1985 ) |&gt; Glide . val ~D[1984-09-18]","ref":"Glide.html#date/1","title":"Glide.date/1","type":"function"},{"doc":"Generates a Date by default somewhere between 1970..2050 iex&gt; Glide . datetime ( ) |&gt; Glide . val ~U[2050-09-02 22:08:07Z]","ref":"Glide.html#datetime/0","title":"Glide.datetime/0","type":"function"},{"doc":"iex&gt; Glide . fold_gen ( [ &quot;1&quot; , &quot;2&quot; , &quot;3&quot; ] , fn doc , acc -&gt; ...&gt; Glide . concat ( [ doc , &quot;!&quot; , acc ] ) ...&gt; end ) |&gt; Glide . val &quot;1!2!3&quot;","ref":"Glide.html#fold_gen/2","title":"Glide.fold_gen/2","type":"function"},{"doc":"Create a generator. Mostly wraps StreamData or when the function exists any of the Glide generators Glide . gen ( :uuid ) Glide . gen ( :integer ) Glide . gen ( :string , :alphanumeric )","ref":"Glide.html#gen/2","title":"Glide.gen/2","type":"function"},{"doc":"","ref":"Glide.html#merge/1","title":"Glide.merge/1","type":"function"},{"doc":"Merges two StreamData structs, underlying datastructure should implement Glide.Merge protocol. By default implemented for Map and Keyword lists","ref":"Glide.html#merge/2","title":"Glide.merge/2","type":"function"},{"doc":"Generates a Date by default somewhere between 1970..2050 iex&gt; Glide . naive_datetime ( ) |&gt; Glide . val ~N[2050-01-22 03:54:58]","ref":"Glide.html#naive_datetime/0","title":"Glide.naive_datetime/0","type":"function"},{"doc":"Create generator for nil constant Can also be called with Glide.gen(nil)","ref":"Glide.html#nil_/0","title":"Glide.nil_/0","type":"function"},{"doc":"Creates generator for optional data When creating a value from this generator it will either by nil or of the type passed in as the argument. Glide . optional ( Glide . string ( :ascii ) )","ref":"Glide.html#optional/1","title":"Glide.optional/1","type":"function"},{"doc":"Generate value from StreamData Will use a preset seed (e.g. by ExUnit) if available, otherwise will create a new seed. See https://hexdocs.pm/stream_data/ExUnitProperties.html#pick/1","ref":"Glide.html#pick/2","title":"Glide.pick/2","type":"function"},{"doc":"Generates a seed","ref":"Glide.html#seed/1","title":"Glide.seed/1","type":"function"},{"doc":"Create generator for a struct struct_of ( User , %{ name : string ( :ascii ) , address : optional ( string ( :ascii ) ) } )","ref":"Glide.html#struct_of/2","title":"Glide.struct_of/2","type":"function"},{"doc":"Generates a Date by default somewhere between 1970..2050 iex&gt; Glide . time ( ) |&gt; Glide . val ~T[14:57:31]","ref":"Glide.html#time/0","title":"Glide.time/0","type":"function"},{"doc":"Generates a version 4 (random) UUID generator iex&gt; Glide . uuid ( ) |&gt; Glide . val &quot;30192e4a-6d03-4f9a-86cb-f301454447c2&quot;","ref":"Glide.html#uuid/0","title":"Glide.uuid/0","type":"function"},{"doc":"Create a value from a generator. Mostly wraps StreamData or when the function exists any of the Glide generators Glide . val ( :uuid ) Glide . val ( :integer ) Glide . val ( :string , :alphanumeric )","ref":"Glide.html#val/2","title":"Glide.val/2","type":"function"},{"doc":"","ref":"Glide.Concat.html","title":"Glide.Concat","type":"protocol"},{"doc":"","ref":"Glide.Concat.html#concat/2","title":"Glide.Concat.concat/2","type":"function"},{"doc":"","ref":"Glide.Concat.html#t:t/0","title":"Glide.Concat.t/0","type":"type"},{"doc":"","ref":"Glide.Merge.html","title":"Glide.Merge","type":"protocol"},{"doc":"","ref":"Glide.Merge.html#merge/2","title":"Glide.Merge.merge/2","type":"function"},{"doc":"","ref":"Glide.Merge.html#t:t/0","title":"Glide.Merge.t/0","type":"type"}]